Add recipients to the internal unsubscribe list or unsubscribe recipients (max. 5000)
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/unsubscribes
clientIdstringClient ID
acceptstringGenerated from available response content types
recipientIdsarray<p>Comma-separated list of recipient IDs (only required if the "mailIds" parameter is not specified)</p>
mediaTypestring<EMAIL | FAX | SMS | LETTER | PUSH | PRINT>Media type of the delivery channel
mailIdsarray<p>Comma-separated list of mail IDs (only required if the "recipientIds" parameter is not specified)</p>
recipientListIdinteger<int64><p>ID of the recipient list to which the recipients are assigned (only if recipient list based unsubscribe is set)</p>
200At least one recipient was successfully added to the internal unsubscribe list. Please check the result for more details.
400The recipients could not be unsubscribed. Ensure that you did not exceed the limit of 5000 IDs.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/unsubscribes \
--header 'accept: application/json'